Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059198 - [abrt] gpodder: connection.py:651:call_blocking:DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the ...
Summary: [abrt] gpodder: connection.py:651:call_blocking:DBusException: org.freedeskto...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gpodder
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jef Spaleta
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:0b59b9ff6889ecc663cf7206ca4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-29 12:17 UTC by mastaiza
Modified: 2015-06-29 14:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:51:22 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-01-29 12:17 UTC, mastaiza
no flags Details
File: environ (deleted)
2014-01-29 12:17 UTC, mastaiza
no flags Details

Description mastaiza 2014-01-29 12:17:28 UTC
Version-Release number of selected component:
gpodder-2.20.3-2.fc20

Additional info:
reporter:       libreport-2.1.11
cmdline:        /usr/bin/python /usr/bin/gpodder
dso_list:       dbus-python-1.2.0-1.fc20.x86_64
executable:     /usr/bin/gpodder
kernel:         3.12.8-300.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
connection.py:651:call_blocking:DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

Traceback (most recent call last):
  File "/usr/bin/gpodder", line 199, in <module>
    remote_object.show_gui_window(dbus_interface=gpodder.dbus_interface)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 70, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

Local variables in innermost frame:
byte_arrays: False
self: <dbus._dbus.SessionBus (session) at 0xb6def0>
args: ()
object_path: '/gui'
signature: None
bus_name: dbus.UTF8String(':1.130')
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
timeout: -1.0
kwargs: {}
dbus_interface: 'org.gpodder.interface'
message: <dbus.lowlevel.MethodCallMessage path: /gui, iface: org.gpodder.interface, member: show_gui_window dest: :1.130>
method: 'show_gui_window'

Comment 1 mastaiza 2014-01-29 12:17:31 UTC
Created attachment 857034 [details]
File: backtrace

Comment 2 mastaiza 2014-01-29 12:17:33 UTC
Created attachment 857035 [details]
File: environ

Comment 3 Fedora End Of Life 2015-05-29 10:43:53 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-29 14:51:22 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.